body {
  font-family: 'Orbit', sans-serif;
  background: no-repeat center/cover url(../images/main-pic-1.jpg);
  height: 100vh;
}
body, body *{
  -ms-overflow-style: none; /* IE and Edge */
  scrollbar-width: none; /* Firefox */
}
body::-webkit-scrollbar,body *::-webkit-scrollbar {
  display: none; /* Chrome, Safari, Opera*/
}
body > div:first-child{
  background-color: rgba(255, 255, 255, 0.8);
  border-radius: 30px;
  margin: 10%;
  max-height: calc(100vh - 20%);
  overflow: scroll;
}
h1 {
  font-size: 36px !important;
  font-family: 'Do Hyeon', sans-serif;
  color: rgba(38, 81, 255, 0.719);
  line-height: 40px;
  transform: translate(0,30px);
}

/* loadingView */
#divLoadingBack {
  position: absolute;
  left:0;
  top:0;
  z-index: 9000;
  width: 100%;
  height: 100vh;
  display: relative;
  background-color: #000000;
  opacity: 0.5;
}

#divLoading {
  position: fixed;
  content: "";
  top:45%;
  left:50%;
  z-index: 9100;
  transform: translate(-50%,-50%);
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}

#divLoading img {
  display: block;
  width: 150px;
  border-radius: 50px;
}

#divLoading p {
  margin-top: 20px;
  display: block;
  border-radius: 50px;
  color: #fff;
  word-break: keep-all;
}
/* //loadingView */

/* typing animation */
.mainComent {
  border-right: 2px solid #000000;
  animation: blink .5s infinite, 1s typing steps(15);
  white-space: nowrap;
  overflow: hidden;
}

@keyframes blink {
  50%{
    border-color: transparent;
  }
}

@keyframes typing {
  from{
    width: 0%;
  }
  to{
    width: 225px;
  }
}
/* //typing animation */

/* //resultPart */
/* table */
#resultPart div{
  border: 1px solid #000000;
  border-radius: 15px;
  margin: 20px auto;
  width: 100%;
  max-width: 800px;
  overflow: hidden;
}
table {
  border-collapse: collapse;
  border: hidden;
  margin: 0 auto;
  width: 100%;
  border-radius: 30px;
  font-family: 'Dongle', sans-serif;
  font-size: 20px;
  word-break: keep-all;
}
th, td {
  font-family: 'Dongle', sans-serif;
  border: 1px solid #000000;
}
th {
  background-color: #2862a7;
  color: #fff;
  font-weight: bold;
  padding: 10px;
  text-align: center;
  vertical-align: middle;
}
td {
  background-color: rgba(255, 255, 255, 0.5);
  color: black;
  text-align: center;
  vertical-align: middle;
}

  /* label */
  table label {
    display: inline-block;
    width: 100%;
    padding: 10px;
  }
  table label:hover {
    background-color: rgba(255, 255, 255, 0.8);
  }
  table label input{
    display: none;
  }
  table :checked+p{
    color:#ff8200;
    text-decoration: line-through;
  }
  /* //label */
/* //table */
/* regenerationBtn */
#regenerationBtn {
  display: block;
  width: 100px;
  border-radius: 20px;
  padding: 0.5rem;
  background-color: rgb(56 189 248);
  margin: 0 auto 10px;
}
/* //regenerationBtn */
/* //resultPart */